Modify

Opened 10 years ago

Closed 10 years ago

#4443 closed enhancement (fixed)

Plugins with known update site: Don't download unless a new version is available

Reported by: dieterdreist Owned by: Team
Priority: minor Milestone:
Component: Core Version: latest
Keywords: update version plugins Cc: fatbozz

Description

doesn't recognize local version and therefore continously updates all plugins when clicked on update.
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2010-01-28 02:32:17
Last Changed Author: mjulius
Revision: 2899
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2010-01-27 22:21:17 +0100 (Wed, 27 Jan 2010)
Last Changed Rev: 2899

Attachments (0)

Change History (17)

comment:1 Changed 10 years ago by Gubaer

doesn't recognize local version and therefore continously updates all plugins when clicked on update.

What are you referring to with "when clicked on update"?

The dialog which shows up at startup and asks whether you want to update your plugins? Or the button "Update plugins" in the plugin preferences?

comment:2 Changed 10 years ago by Gubaer

Owner: changed from team to dieterdreist
Status: newneedinfo

comment:3 Changed 10 years ago by skyper

For me the same.
In Preferences-Dialog: Plugin-Manager click on update list -> all local pluginversions are unknown -> always downloads plugin again.

comment:4 in reply to:  1 Changed 10 years ago by dieterdreist

Owner: changed from dieterdreist to Gubaer
Status: needinfonew

Replying to Gubaer:

What are you referring to with "when clicked on update"?
The dialog which shows up at startup and asks whether you want to update your plugins? Or the button "Update plugins" in the plugin preferences?

Both. 10: First on startup I click on "update plugins", 20: they get downloaded and installed (I suppose). 30: After startup I click on preferences, plugins, update, and again all installed plugins get downloaded and updated. 40: I restart (GOTO 10) but still get update-your-plugins-notifications.

comment:5 Changed 10 years ago by Gubaer

Owner: changed from Gubaer to dieterdreist
Status: newneedinfo

40: I restart (GOTO 10) but still get update-your-plugins-notifications.

I can't reproduce step 40, neither on Windows 7 nor on Ubuntu. I checked with r2924.

Anything special in your environment?

comment:6 in reply to:  5 ; Changed 10 years ago by dieterdreist

Replying to Gubaer:

Anything special in your environment?

Not that I am aware of. Don't you have this error on your system? I'm running Ubuntu9.04 but install JOSM-latest, not the package from 2008.

comment:7 in reply to:  6 Changed 10 years ago by dieterdreist

Owner: changed from dieterdreist to Gubaer
Status: needinfonew

Replying to dieterdreist:

Replying to Gubaer:

Anything special in your environment?

Not that I am aware of. Don't you have this error on your system? I'm running Ubuntu9.04 but install JOSM-latest, not the package from 2008.

What do you need to know? Actually on startup it doesn't ask to update plugins, but it will install "new" versions every time you try to update in preferences/plugins.

Here's my machine/settings:
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2010-02-02 02:31:27
Last Changed Author: jttt
Revision: 2920
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2010-02-01 21:56:31 +0100 (Mon, 01 Feb 2010)
Last Changed Rev: 2920

Memory Usage: 14 MB / 508 MB (0 MB allocated, but free)
Java version: 1.6.0_0

Plugins: AddrInterpolation,Create_grid_of_ways,DirectUpload,buildings_tools,colorscheme,dataimport,editgpx,measurement,multipoly,openstreetbugs,openvisible,osmarender,remotecontrol,terracer,validator,walkingpapers,waydownloader,wmsplugin
Plugin openstreetbugs Version: 19463
Plugin dataimport Version: 19681
Plugin validator Version: 19688
Plugin osmarender Version: 19419
Plugin AddrInterpolation Version: 19422
Plugin terracer Version: 19678
Plugin measurement Version: 19681
Plugin multipoly Version: 19456
Plugin walkingpapers Version: 19487
Plugin colorscheme Version: 19426
Plugin wmsplugin Version: 19626
Plugin editgpx Version: 19683
Plugin Create_grid_of_ways Version: 19428
Plugin openvisible Version: 19465
Plugin remotecontrol Version: 19471
Plugin DirectUpload Version: 19700
Plugin buildings_tools Version: 30
Plugin waydownloader Version: 19489

agpifoj.bounds=474,402,332,226
agpifoj.visible=true
cache.motd.html=1265089223
cache.motd.html.version=2920
cache.wmsplugin.expire=2419200
cache.wmsplugin.maxsize=70
color.conflict=#FF00FF
color.gps marker=#33FFFF
color.gps point=#66FF33
color.node=#FFCCCC
color.way=#3333FF
conflict.bounds=541,106,589,426
conflict.visible=true
conflictresolutiondialog.height=718
conflictresolutiondialog.width=811
conflictresolutiondialog.x=149
conflictresolutiondialog.y=89
coordinates=DECIMAL_DEGREES
download.gps=true
draw.rawgps.direction=true
draw.rawgps.large=true
draw.rawgps.lines=false
draw.segment.order_number=true
geoimage.bounds=73,95,717,481
geoimage.docked=false
graphview.activeBookmark=pedestrian
graphview.defaultNodeColor=255, 255, 255
graphview.defaultSegmentColor=255, 255, 255
graphview.parameterBookmarks=pedestrian;foot;types={YES,PERMISSIVE,DESIGNATED,UNDEFINED};properties={}|hgv (3.5 t);hgv;types={YES,PERMISSIVE,DESIGNATED,UNDEFINED};properties={WEIGHT=3.5}|motorcar;motorcar;types={YES,PERMISSIVE,DESIGNATED,UNDEFINED};properties={}|bicycle;bicycle;types={YES,PERMISSIVE,DESIGNATED,UNDEFINED};properties={}
graphview.rulesetFolder=/home/mortn
gui.geometry=1280x976+0+41
gui.maximized=false
josm.version=2920
language=en
lastAuthorName=dieterdreist
lastDirectory=/home/mortn/OSM/tracks
layerlist.bounds=397,130,416,252
marker.audiofromstart=false
marker.buttonlabels=false
message.delete_outside_nodes=false
message.delete_outside_nodes.value=1
message.movedManyElements.value=1
message.pluginmanger.version.value=1
mirror.http://josm.openstreetmap.de/presets=1257865620881;/home/mortn/.josm/mirror_http___josm.openstreetmap.de_presets
mirror.http://josm.openstreetmap.de/styles=1259776600607;/home/mortn/.josm/mirror_http___josm.openstreetmap.de_styles
mirror.http://svn.openstreetmap.org/applications/editors/josm/plugins/validator/ignoretags.cfg=1264628863213;/home/mortn/.josm/plugins/validator/mirror_http___svn.openstreetmap.org_applications_editors_josm_plugins_validator_ignoretags.cfg
mirror.http://svn.openstreetmap.org/applications/editors/josm/plugins/validator/tagchecker.cfg=1264628863349;/home/mortn/.josm/plugins/validator/mirror_http___svn.openstreetmap.org_applications_editors_josm_plugins_validator_tagchecker.cfg
mirror.http://svn.openstreetmap.org/applications/editors/josm/plugins/wmsplugin/sources.cfg=1264628863715;/home/mortn/.josm/plugins/wmsplugin/mirror_http___svn.openstreetmap.org_applications_editors_josm_plugins_wmsplugin_sources.cfg
mirror.http://svn.openstreetmap.org/applications/utils/planet.osm/java/speller/words.cfg=1264628863015;/home/mortn/.josm/plugins/validator/mirror_http___svn.openstreetmap.org_applications_utils_planet.osm_java_speller_words.cfg
org.openstreetmap.josm.gui.actionsupport.DeleteFromRelationConfirmationDialog.geometry=x=428,y=732,width=400,height=200
org.openstreetmap.josm.gui.conflict.tags.CombinePrimitiveResolverDialog.geometry=x=348,y=479,width=600,height=400
org.openstreetmap.josm.gui.download.DownloadDialog.geometry=x=198,y=216,width=1000,height=784
org.openstreetmap.josm.gui.io.UploadDialog.geometry=x=763,y=400,width=400,height=600
org.openstreetmap.josm.gui.preferences.PreferenceDialog.geometry=x=342,y=112,width=813,height=800
osb.api.disabled=false
osb.auto_download=true
osb.include_date=true
osb.uri.close=http://openstreetbugs.schokokeks.org/api/0.1/closePOIexec
osb.uri.download=http://openstreetbugs.schokokeks.org/api/0.1/getBugs
osb.uri.edit=http://openstreetbugs.schokokeks.org/api/0.1/editPOIexec
osb.uri.new=http://openstreetbugs.schokokeks.org/api/0.1/addPOIexec
osm-download.bounds=52.57754512110382;13.359789371850232;52.58209052600242;13.367609614065731
osm-primitives.showid=true
osm-server.upload-strategy=singlerequest
osm-server.url=http://www.openstreetmap.org/api
pluginmanager.lastupdate=1265089222731
pluginmanager.version=2920
plugins=AddrInterpolation
Create_grid_of_ways
DirectUpload
buildings_tools
colorscheme
dataimport
editgpx
measurement
multipoly
openstreetbugs
openvisible
osmarender
remotecontrol
terracer
validator
walkingpapers
waydownloader
wmsplugin
propertiesdialog.bounds=346,228,498,441
proxy.policy=no-proxy
relationlist.bounds=677,445,332,176
relationlist.visible=true
routing.profile.default.speed.bridleway=40
routing.profile.default.speed.bus_guideway=50
routing.profile.default.speed.byway=50
routing.profile.default.speed.cycleway=40
routing.profile.default.speed.footway=20
routing.profile.default.speed.living_street=30
routing.profile.default.speed.motorway=120
routing.profile.default.speed.motorway_link=120
routing.profile.default.speed.path=40
routing.profile.default.speed.pedestrian=30
routing.profile.default.speed.primary=100
routing.profile.default.speed.primary_link=100
routing.profile.default.speed.residential=50
routing.profile.default.speed.road=100
routing.profile.default.speed.secondary=90
routing.profile.default.speed.service=30
routing.profile.default.speed.steps=10
routing.profile.default.speed.tertiary=90
routing.profile.default.speed.track=50
routing.profile.default.speed.trunk=120
routing.profile.default.speed.trunk_link=120
routing.profile.default.speed.unclassified=50
save.keepbackup=false
selectionlist.bounds=47,173,332,717
shortcut.groups.1=128
shortcut.groups.10=64
shortcut.groups.11=576
shortcut.groups.12=64
shortcut.groups.13=512
shortcut.groups.15=640
shortcut.groups.16=640
shortcut.groups.17=576
shortcut.groups.18=512
shortcut.groups.19=128
shortcut.groups.2=128
shortcut.groups.20=512
shortcut.groups.3=0
shortcut.groups.4=512
shortcut.groups.5=0
shortcut.groups.6=512
shortcut.groups.8=192
shortcut.groups.9=192
shortcut.groups.configured=true
slippymap.autoload_tiles=true
slippymap.autozoom=true
slippymap.draw_debug=false
slippymap.fade_background=0.0
slippymap.max_zoom_lvl=17
slippymap.min_zoom_lvl=13
slippymap.tile_url=http://tah.openstreetmap.org/Tiles/tile
tagimages.lastdirectory=/media/data2/Eigene Bilder/2009_04_11_OSM_Verano+CircoloArt
toolbar=open
save
exportgpx
|
download
upload
|
undo
redo
|
preference
|
|
gps-lines
wayflip
pastetags
tagging_Man-Made/Amenities/Drinking Water
tagging_Man-Made/Amenities/Telephone
tagging_Man-Made/Buildings/Addresses
upload.comment.history=Wilhelmsruh Gebäude
Umspannwerk Wilhelmsruh
housenumber
details Pankepark (corrected errors introduced by user:8-zig)
details Reichssportfeld
deleted duplicate tags on inner multipolygon-ways
Basilica San Paolo: deleted duplicate tags on inner multipolygon-ways
details Schönbuch
details Löbehaus (was too big in the south)
details U55
details Kanzleramt
details Torstraße
details Museumsinsel
details Neues Museum
details Bodemuseum
userlist.bounds=474,427,332,176
userlist.visible=true
validator.bounds=-1,24,1282,982
validator.tests=Coastlines=true,MultipolygonTest=true,SimilarNamedWays=true,UntaggedNode=true,CrossingWays=true,NodesWithSameName=true,TagChecker=true,OverlappingWays=true,UnclosedWays=true,WronglyOrderedWays=true,UnconnectedWays=true,SelfIntersectingWay=true,DuplicatedWayNodes=true,NameMismatch=true,DuplicateWay=true,UntaggedWay=true,DuplicateNode=true
validator.testsBeforeUpload=Coastlines=true,MultipolygonTest=true,SimilarNamedWays=true,UntaggedNode=true,CrossingWays=true,NodesWithSameName=true,TagChecker=true,OverlappingWays=true,UnclosedWays=true,WronglyOrderedWays=true,UnconnectedWays=true,SelfIntersectingWay=true,DuplicatedWayNodes=true,NameMismatch=true,DuplicateWay=true,UntaggedWay=true,DuplicateNode=true
validator.visible=true
wmsplugin.default.html:http://josm.openstreetmap.de/wmsplugin/YahooDirect.html?=true
wmsplugin.default.http://onearth.jpl.nasa.gov/wms.cgi?request_GetMap&layers_global_mosaic&styles_&format_image/jpeg&=true
wmsplugin.default.http://openaerialmap.org/wms/?VERSION_1.0&request_GetMap&layers_world&styles_&format_image/jpeg&=true
wmsplugin.url.0.name=GeoEye1_20100116
wmsplugin.url.0.url=http://hypercube.telascience.org/cgi-bin/mapserv?map=/geo/haiti/mapfiles/4326.map&layers=geoeye-01-16-4326&request=GetMap&version=1.0.0&styles=&format=image/jpeg&service=WMS&
wmsplugin.url.1.name=H_Google_20100117
wmsplugin.url.1.url=http://hypercube.telascience.org/cgi-bin/mapserv?map=/geo/haiti/mapfiles/4326.map&layers=google-01-17-4326&request=GetMap&version=1.0.0&styles=&format=image/jpeg&service=WMS&
wmsplugin.url.2.name=Ikonos_20100117
wmsplugin.url.2.url=http://hypercube.telascience.org/cgi-bin/mapserv?map=/geo/haiti/mapfiles/4326.map&layers=ikonos-01-17-4326&request=GetMap&version=1.0.0&styles=&format=image/jpeg&service=WMS&
wmsplugin.url.3.name=LandSat
wmsplugin.url.3.url=http://onearth.jpl.nasa.gov/wms.cgi?request=GetMap&layers=global_mosaic&styles=&format=image/jpeg&
wmsplugin.url.4.name=OpenAerial-Karte
wmsplugin.url.4.url=http://openaerialmap.org/wms/?VERSION=1.0&request=GetMap&layers=world&styles=&format=image/jpeg&
wmsplugin.url.5.name=Yahoo Sat
wmsplugin.url.5.url=html:http://josm.openstreetmap.de/wmsplugin/YahooDirect.html?
wmsplugin.url.overlap=false
wmsplugin.url.overlapEast=14
wmsplugin.url.overlapNorth=4

comment:8 Changed 10 years ago by dieterdreist

Maybe a pointer points to the wrong plugins directory? Some plugins show the local-version as unknown in preferences. How could I check this, where should I look for it?

comment:9 Changed 10 years ago by Gubaer

Some plugins show the local-version as unknown in preferences.

That's normal for plugins which aren't installed.

What do you need to know? Actually on startup it doesn't ask to update plugins,

Ah, OK, that's what I wanted to known. That's consistent with my environment.

will install "new" versions every time you try to update in preferences/plugins.

Hmm, yes, that's what JOSM always did, the only difference is that you now *see* that it downloads them. Until recently it did it on a blocking thread and without user feedback.

The update mechanism isn't actually broken, downloading the selected plugin jars works fine. I'll turn this into an enhancement and change the summary.

TODO:

  • before an update is run, the plugins lists from the known plugin update sites have to be refreshed. Only plugins which actually outdated should then be updated.


comment:10 Changed 10 years ago by Gubaer

Priority: majornormal
Type: defectenhancement

comment:11 in reply to:  9 Changed 10 years ago by dieterdreist

Priority: normalminor
Type: enhancementdefect

Replying to Gubaer:

Some plugins show the local-version as unknown in preferences.

That's normal for plugins which aren't installed.

I see. Maybe this could be enhanced by changing the text from "unknown" to "not found" or "not installed" (because some plugins I have deactivated but downloaded show their version and I like this feature.

will install "new" versions every time you try to update in preferences/plugins.

Hmm, yes, that's what JOSM always did, the only difference is that you now *see* that it downloads them. Until recently it did it on a blocking thread and without user feedback.

actually some time ago JOSM displayed a message: "all plugins are up to date". This behaviour is at least changed (I'd call it broken, but didn't understand the "blocking thread" part)

comment:12 Changed 10 years ago by Gubaer

actually some time ago JOSM displayed a message: "all plugins are up to date". This behaviour is
at least changed (I'd call it broken, but didn't understand the "blocking thread" part)

I think this was JOSM ways to say "I've downloaded all the plugins you've selected and all plugins on your computer are now up to date".

comment:13 Changed 10 years ago by Gubaer

Summary: update mechanism brokenPlugins with known update site: Don't download unless a new version is available
Type: defectenhancement

Reformulating:

There are plugins which are available from one of the plugin update sites configured in JOSM, and there are other plugins.

If a user requests to update a plugin in Preferences->Plugin then

  1. For a plugin available from one of the update sites: check whether there is actually a new version of the plugin. If not, don't download the plugin and inform the user that the plugin is up to date.
  1. For another plugin: we can't update the plugin because we don't know the update URL. The Manifest file in the plugin jar doesn't include it. Don't update the plugin and inform the user that an automatic update isn't possible.

comment:14 Changed 10 years ago by fatbozz

Cc: fatbozz added

Hi, I have same problem. Still downloading plugins. I think problem is in checking of filename. When no plugin downloaded or updated JOSM say: local unknown, but freshly downloaded plugins have version included. After reboot still same situation downloaded plugins have local unknown. Are you checking *jar ? or *.new which is created when download update/new plugin ?

comment:15 Changed 10 years ago by fatbozz

Info about plugin is deleted, when "download list" is pressed

comment:16 Changed 10 years ago by Gubaer

Owner: changed from Gubaer to Team

comment:17 Changed 10 years ago by Gubaer

Resolution: fixed
Status: newclosed

(In [3090]) fixed #4443: Plugins with known update site: Don't download unless a new version is available
fixed #4565: local version differs from local version of updated plugin (was: local version number lost, after update plugin list.)

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.